//{$WARNINGS OFF}
//{$WARN SYMBOL_PLATFORM OFF}
//{$WARN UNIT_PLATFORM OFF}
//=============================================================================
//  CSIDL_ListFormUnit
//
//  tH_\vOœtH_IeXgp
//  tH_CSIDLlXgI
//  ̃tH[ShowModalŕ\邱Ƃ肵Ă
//
//  [OK]{^̃vpeB
//       Cancel := False;
//       Default := True;
//       ModalResult := mrOK;
//  [LZ]{^̃vpeB
//       Cancel := True;
//       Default := False;
//       ModalResult := mrCancel;
//
//  CSIDLlOSɂĎgpłȂl̂Œ萔lł͂ȂlŒ`
//
//-----------------------------------------------------------------------------
//
//  yz
//
//  2009N0110 `
//
//-----------------------------------------------------------------------------
//
//  Presented by Mr.XRAY
//  http://mrxray.on.coocan.jp/
//=============================================================================
unit CSIDL_ListFormUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TCSIDL_ListForm = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Button1: TButton;
    Button2: TButton;
    ListBox1: TListBox;
    procedure FormCreate(Sender: TObject);
    procedure ListBox1DblClick(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  CSIDL_ListForm: TCSIDL_ListForm;

implementation

{$R *.dfm}

//=============================================================================
//  tH[쐬ListBoxɒlZbg
//=============================================================================
procedure TCSIDL_ListForm.FormCreate(Sender: TObject);
begin
  ListBox1.Items.AddObject('CSIDL_DESKTOP',                 TObject($0000));
  ListBox1.Items.AddObject('CSIDL_INTERNET',                TObject($0001));
  ListBox1.Items.AddObject('CSIDL_PROGRAMS',                TObject($0002));
  ListBox1.Items.AddObject('CSIDL_CONTROLS',                TObject($0003));
  ListBox1.Items.AddObject('CSIDL_PRINTERS',                TObject($0004));
  ListBox1.Items.AddObject('CSIDL_PERSONAL',                TObject($0005));
  ListBox1.Items.AddObject('CSIDL_FAVORITES',	              TObject($0006));
  ListBox1.Items.AddObject('CSIDL_STARTUP',                 TObject($0007));
  ListBox1.Items.AddObject('CSIDL_RECENT',                  TObject($0008));
  ListBox1.Items.AddObject('CSIDL_SENDTO',                  TObject($0009));
  ListBox1.Items.AddObject('CSIDL_BITBUCKET',               TObject($000A));
  ListBox1.Items.AddObject('CSIDL_STARTMENU',               TObject($000B));
  ListBox1.Items.AddObject('CSIDL_MYDOCUMENTS',             TObject($000C));
  ListBox1.Items.AddObject('CSIDL_MYMUSIC',                 TObject($000D));
  ListBox1.Items.AddObject('CSIDL_MYVIDEO',                 TObject($000E));
  ListBox1.Items.AddObject('CSIDL_DESKTOPDIRECTORY',        TObject($0010));
  ListBox1.Items.AddObject('CSIDL_DRIVES',                  TObject($0011));
  ListBox1.Items.AddObject('CSIDL_NETWORK',                 TObject($0012));
  ListBox1.Items.AddObject('CSIDL_NETHOOD',                 TObject($0013));
  ListBox1.Items.AddObject('CSIDL_FONTS',                   TObject($0014));
  ListBox1.Items.AddObject('CSIDL_TEMPLATES',               TObject($0015));
  ListBox1.Items.AddObject('CSIDL_COMMON_STARTMENU',        TObject($0016));
  ListBox1.Items.AddObject('CSIDL_COMMON_PROGRAMS',         TObject($0017));
  ListBox1.Items.AddObject('CSIDL_COMMON_STARTUP',          TObject($0018));
  ListBox1.Items.AddObject('CSIDL_COMMON_DESKTOPDIRECTORY', TObject($0019));
  ListBox1.Items.AddObject('CSIDL_APPDATA',                 TObject($001A));
  ListBox1.Items.AddObject('CSIDL_PRINTHOOD',               TObject($001B));
  ListBox1.Items.AddObject('CSIDL_LOCAL_APPDATA',           TObject($001C));
  ListBox1.Items.AddObject('CSIDL_ALTSTARTUP',              TObject($001D));
  ListBox1.Items.AddObject('CSIDL_COMMON_ALTSTARTUP',       TObject($001E));
  ListBox1.Items.AddObject('CSIDL_COMMON_FAVORITES',        TObject($001F));
  ListBox1.Items.AddObject('CSIDL_INTERNET_CACHE',          TObject($0020));
  ListBox1.Items.AddObject('CSIDL_COOKIES',                 TObject($0021));
  ListBox1.Items.AddObject('CSIDL_HISTORY',                 TObject($0022));
  ListBox1.Items.AddObject('CSIDL_COMMON_APPDATA',          TObject($0023));
  ListBox1.Items.AddObject('CSIDL_WINDOWS',                 TObject($0024));
  ListBox1.Items.AddObject('CSIDL_SYSTEM',                  TObject($0025));
  ListBox1.Items.AddObject('CSIDL_PROGRAM_FILES',           TObject($0026));
  ListBox1.Items.AddObject('CSIDL_MYPICTURES',              TObject($0027));
  ListBox1.Items.AddObject('CSIDL_PROFILE',                 TObject($0028));
  ListBox1.Items.AddObject('CSIDL_SYSTEMX86',               TObject($0029));
  ListBox1.Items.AddObject('CSIDL_PROGRAM_FILESX86',        TObject($002A));
  ListBox1.Items.AddObject('CSIDL_PROGRAM_FILES_COMMON',    TObject($002B));
  ListBox1.Items.AddObject('CSIDL_PROGRAM_FILES_COMMONX86', TObject($002C));
  ListBox1.Items.AddObject('CSIDL_COMMON_TEMPLATES',        TObject($002D));
  ListBox1.Items.AddObject('CSIDL_COMMON_DOCUMENTS',        TObject($002E));
  ListBox1.Items.AddObject('CSIDL_COMMON_ADMINTOOLS',       TObject($002F));
  ListBox1.Items.AddObject('CSIDL_ADMINTOOLS',              TObject($0030));
  ListBox1.Items.AddObject('CSIDL_CONNECTIONS',             TObject($0031));
  ListBox1.Items.AddObject('CSIDL_COMMON_MUSIC',            TObject($0035));
  ListBox1.Items.AddObject('CSIDL_COMMON_PICTURES',         TObject($0036));
  ListBox1.Items.AddObject('CSIDL_COMMON_VIDEO',            TObject($0037));
  ListBox1.Items.AddObject('CSIDL_RESOURCES',               TObject($0038));
  ListBox1.Items.AddObject('CSIDL_RESOURCES_LOCALIZED',     TObject($0039));
  ListBox1.Items.AddObject('CSIDL_COMMON_OEM_LINKS',        TObject($003A));
  ListBox1.Items.AddObject('CSIDL_CDBURN_AREA',             TObject($003B));
  ListBox1.Items.AddObject('CSIDL_COMPUTERSNEARME',         TObject($003D));
  ListBox1.Items.AddObject('CSIDL_PROFILES',                TObject($003E));
end;
//=============================================================================
//  _uNbNłI\Ƃ
//=============================================================================
procedure TCSIDL_ListForm.ListBox1DblClick(Sender: TObject);
begin
  ModalResult := mrOk;
end;

end.
